%define name sunclock
%define version 3.56
%define release %mkrel 1

Summary: The sophisticated clock for the X Window system
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sciences/Astronomy
Source: ftp://ftp.ac-grenoble.fr/ge/geosciences/%{name}-%{version}.tar.bz2
Source1:%{name}-16.png
Source2:%{name}-32.png
Source3:%{name}-48.png
URL: http://freshmeat.net/projects/sunclock/
BuildRoot: %{_tmppath}/%{name}-buildroot
Conflicts:   xrmap

%description
Sunclock displays a map of the Earth and shows which portion is illuminated
by the sun. It can commute between two states, the "clock window" and
the "map window". The clock window displays a small map of the Earth
and therefore occupies little space on the screen, while the "map window" 
displays a large map and offers more advanced functions. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
xmkmf
%make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

# %install
make install DESTDIR=$RPM_BUILD_ROOT%{_prefix}
make install.man DESTDIR=$RPM_BUILD_ROOT%{_prefix}
if [ -f $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1/sunclock.1x ]; then
find $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1/sunclock.1x -type f -exec bzip2 -9f {} \;
fi

#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=SunClock
Comment=World Clock View
Exec=%{_prefix}/X11R6/bin/sunclock
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Toys;
EOF

mkdir -p %buildroot/%_miconsdir \
	 %buildroot/%_liconsdir \
	 %buildroot/%_iconsdir

#icons	
install -m 644 %SOURCE1 %buildroot/%{_miconsdir}/%{name}.png
install -m 644 %SOURCE2 %buildroot/%{_iconsdir}/%{name}.png
install -m 644 %SOURCE3 %buildroot/%{_liconsdir}/%{name}.png


%post
%{update_desktop_database}

%postun
%{clean_desktop_database}



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc CHANGES coordinates.txt COPYING README INSTALL TODO VMF.txt 
%{_datadir}/sunclock/Sunclockrc
%{_datadir}/sunclock/earthmaps/vmf/*
%{_datadir}/sunclock/i18n/*
%{_prefix}/X11R6/bin/sunclock
%{_prefix}/X11R6/man/man1/sunclock.1*
%{_datadir}/sunclock/bin/emx 
%{_datadir}/sunclock/editkit/MANUAL.emacs
%{_datadir}/sunclock/editkit/README
%{_datadir}/sunclock/editkit/emxrc
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/pclinuxos-%{name}.desktop

%changelog
* Wed Sep 26 2007 Texstar <texstar@gmail.com>2.56-1pclos2007
- import into pclos 2007, original sepc from mdv 2005
